Package net.shibboleth.idp.saml.saml1.profile.config.impl

# Class AttributeQueryProfileConfiguration

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.profile.config.AbstractProfileConfiguration
net.shibboleth.profile.config.AbstractConditionalProfileConfiguration
net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration
net.shibboleth.idp.saml.profile.config.impl.AbstractSAMLProfileConfiguration
net.shibboleth.idp.saml.saml1.profile.config.impl.AbstractSAML1ArtifactAwareProfileConfiguration
net.shibboleth.idp.saml.saml1.profile.config.impl.AbstractSAML1AssertionProducingProfileConfiguration
net.shibboleth.idp.saml.saml1.profile.config.impl.AttributeQueryProfileConfiguration

All Implemented Interfaces:
  `InterceptorAwareProfileConfiguration`, `SAMLProfileConfiguration`, `AttributeResolvingProfileConfiguration`, `ConditionalProfileConfiguration`, `ProfileConfiguration`, `SAMLArtifactAwareProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SAMLProfileConfiguration`, `AttributeQueryProfileConfiguration`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class AttributeQueryProfileConfiguration extends AbstractSAML1AssertionProducingProfileConfiguration implements AttributeQueryProfileConfiguration, SAMLAssertionProducingProfileConfiguration
Configuration support for SAML 1 attribute query requests.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,String>`
`attributeRecipientGroupIDLookupStrategy`
Lookup strategy for attribute recipient group ID.
`static final String`
`PROFILE_COUNTER`
Name of profile counter.
`private Function<ProfileRequestContext,Collection<String>>`
`requestedIdPAttributeNamesLookupStrategy`
Lookup strategy for requested IdP attribute names to pass into resolver.

### Fields inherited from interface net.shibboleth.saml.saml1.profile.config.AttributeQueryProfileConfiguration

`PROFILE_ID`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

### Fields inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`DEFAULT_ASSERTION_LIFETIME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`AttributeQueryProfileConfiguration()`
Constructor.
`protected`
`AttributeQueryProfileConfiguration(String profileId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeRecipientGroupID(ProfileRequestContext profileRequestContext)`
`Collection<String>`
`getRequestedIdPAttributeNames(ProfileRequestContext profileRequestContext)`
`boolean`
`isResolveAttributes(ProfileRequestContext profileRequestContext)`
`void`
`setAttributeRecipientGroupID(String groupID)`
Set the group of services for which attributes are being resolved.
`void`
`setAttributeRecipientGroupIDLookupStrategy(Function<ProfileRequestContext,String> strategy)`
Set the lookup strategy for the group of services for which attributes are being resolved.
`void`
`setRequestedIdPAttributeNames(Collection<String> names)`
Set `IdPAttribute` names to resolve (if resolving attributes).
`void`
`setRequestedIdPAttributeNamesLookupStrategy(Function<ProfileRequestContext,Collection<String>> strategy)`
Lookup strategy for `IdPAttribute` names to resolve (if resolving attributes).

### Methods inherited from class net.shibboleth.idp.saml.saml1.profile.config.impl.AbstractSAML1AssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isIncludeConditionsNotBefore, isSignAssertions, setAdditionalAudiencesForAssertion, setAdditionalAudiencesForAssertionLookupStrategy, setAssertionAudiences, setAssertionAudiencesLookupStrategy, setAssertionLifetime, setAssertionLifetimeLookupStrategy, setIncludeConditionsNotBefore, setIncludeConditionsNotBeforePredicate, setSignAssertions, setSignAssertionsPredicate`

### Methods inherited from class net.shibboleth.idp.saml.saml1.profile.config.impl.AbstractSAML1ArtifactAwareProfileConfiguration

`getArtifactConfiguration, setArtifactConfiguration, setArtifactConfigurationLookupStrategy`

### Methods inherited from class net.shibboleth.idp.saml.profile.config.impl.AbstractSAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses, setMessageDecorator, setMessageHandler, setMessageHandlerLookupStrategy, setSignRequests, setSignRequestsPredicate, setSignResponses, setSignResponsesPredicate`

### Methods inherited from class net.shibboleth.idp.profile.config.AbstractInterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows, setInboundInterceptorFlows, setInboundInterceptorFlowsLookupStrategy, setOutboundInterceptorFlows, setOutboundInterceptorFlowsLookupStrategy`

### Methods inherited from class net.shibboleth.profile.config.AbstractConditionalProfileConfiguration

`getActivationCondition, setActivationCondition`

### Methods inherited from class net.shibboleth.profile.config.AbstractProfileConfiguration

`equals, getDisallowedFeatures, getSecurityConfiguration, hashCode, isFeatureDisallowed, setDisallowedFeatures, setDisallowedFeaturesLookupStrategy, setSecurityConfiguration, setSecurityConfigurationLookupStrategy`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.profile.config.InterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isIncludeConditionsNotBefore, isSignAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_COUNTER

@Nonnull @NotEmpty public static final String PROFILE_COUNTER
Name of profile counter.

See Also:
  - Constant Field Values

### requestedIdPAttributeNamesLookupStrategy

@Nonnull private Function<ProfileRequestContext,Collection<String>> requestedIdPAttributeNamesLookupStrategy
Lookup strategy for requested IdP attribute names to pass into resolver.

### attributeRecipientGroupIDLookupStrategy

@Nonnull private Function<ProfileRequestContext,String> attributeRecipientGroupIDLookupStrategy
Lookup strategy for attribute recipient group ID.

## Constructor Details

### AttributeQueryProfileConfiguration

public AttributeQueryProfileConfiguration()
Constructor.

### AttributeQueryProfileConfiguration

protected AttributeQueryProfileConfiguration(@Nonnull @NotEmpty String profileId)
Constructor.

Parameters:
  `profileId` - unique ID for this profile

## Method Details

### isResolveAttributes

public boolean isResolveAttributes(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `isResolveAttributes` in interface `AttributeResolvingProfileConfiguration`

### getRequestedIdPAttributeNames

@Nonnull @Unmodifiable @NotLive public Collection<String> getRequestedIdPAttributeNames(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `getRequestedIdPAttributeNames` in interface `AttributeResolvingProfileConfiguration`

### setRequestedIdPAttributeNames

public void setRequestedIdPAttributeNames(@Nullable Collection<String> names)
Set `IdPAttribute` names to resolve (if resolving attributes).

Parameters:
  `names` - `IdPAttribute` names to resolve
Since:
  5.2.0

### setRequestedIdPAttributeNamesLookupStrategy

public void setRequestedIdPAttributeNamesLookupStrategy(@Nonnull Function<ProfileRequestContext,Collection<String>> strategy)
Lookup strategy for `IdPAttribute` names to resolve (if resolving attributes).

Parameters:
  `strategy` - lookup strategy
Since:
  5.2.0

### getAttributeRecipientGroupID

@Nullable public String getAttributeRecipientGroupID(@Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `getAttributeRecipientGroupID` in interface `AttributeResolvingProfileConfiguration`

### setAttributeRecipientGroupID

public void setAttributeRecipientGroupID(@Nullable String groupID)
Set the group of services for which attributes are being resolved.

Parameters:
  `groupID` - group identifier
Since:
  5.2.0

### setAttributeRecipientGroupIDLookupStrategy

public void setAttributeRecipientGroupIDLookupStrategy(@Nonnull Function<ProfileRequestContext,String> strategy)
Set the lookup strategy for the group of services for which attributes are being resolved.

Parameters:
  `strategy` - lookup strategy
Since:
  5.2.0